Package org.apache.sis.distance

## Class LatLonPointRadius

- Object
- - LatLonPointRadius

-     @Deprecated
      public class LatLonPointRadius
      extends Object

  Deprecated.
  Replaced by `GeodeticCalculator​.createGeodesicCircle2D(double)`.
  Represents a 2D point associated with a radius to enable great circle estimation on earth surface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LatLonPointRadius​(DirectPosition center, double radius)` | Deprecated. Creates a representation of point-radius search region.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DirectPosition2D[]` | `getCircularRegionApproximation​(int numberOfPoints)` | Deprecated. Gets the circular region approximation on the earth surface using haversine formula.
    `Rectangle2D` | `getRectangularRegionApproximation​(int numberOfPoints)` | Deprecated. Calculates the rectangular region enclosing the circular search region.

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LatLonPointRadius

          public LatLonPointRadius​(DirectPosition center,
                                   double radius)

      Deprecated.
      Creates a representation of point-radius search region.
      Parameters:
        `center` - the center of the search region
        `radius` - the radius of the search region

  - ### Method Detail

    - #### getCircularRegionApproximation

          public DirectPosition2D[] getCircularRegionApproximation​(int numberOfPoints)

      Deprecated.
      Gets the circular region approximation on the earth surface using haversine formula.
      Parameters:
        `numberOfPoints` - the number of points used to estimate the circular region
      Returns:
        an array of DirectPosition2D representing the points that estimate the circular region

    - #### getRectangularRegionApproximation

          public Rectangle2D getRectangularRegionApproximation​(int numberOfPoints)

      Deprecated.
      Calculates the rectangular region enclosing the circular search region.
      Parameters:
        `numberOfPoints` - the number of points used to estimate the circular search region
      Returns:
        Java Rectangle2D object that bounds the circlar search region